Spectrum: Filter (stop Hann band)...

A command to modify every selected Spectrum object.

The complex values in the Spectrum are multiplied by real-valued sine shapes and straight lines, according to the following figure:

## Settings

From frequency (Hz) (standard value: 500 Hz)
  the lower edge of the stop band (f1 in the figure). The value zero is special: the filter then acts as a high-pass filter.
To frequency (Hz) (standard value: 1000 Hz)
  the upper edge of the stop band (f2 in the figure). The value zero is special: the filter then acts as a low-pass filter.
Smoothing (Hz) (standard value: 100 Hz)
  the width of the region between stop and pass (w in the figure).

## Usage

This filter is the complement from the pass-band filter (Spectrum: Filter (pass Hann band)...). For instance, we can decompose the spectrum into the above stop-band spectrum and a band from 500 to 1000 Hz:

By adding the two spectra together, we get the original spectrum again.

See the Filtering tutorial for information on the need for smoothing and a comparative discussion of various filters.

### Links to this page

- Sound: Filter (stop Hann band)...